/**
 * 
 */
package org.ajax4jsf.builder.mojo;

import java.util.ArrayList;
import java.util.List;

import org.aja4jsf.builder.model.Resource;

/**
 * @author Maksim Kaszynski
 *
 */
public class SkinInfo implements Cloneable{
	private String shortName;
	private String packageName;
	
	private String baseSkin;
	private List<Resource> baseClassResources = new ArrayList<Resource>();
	private List<Resource> extClassResources = new ArrayList<Resource>();
	private Resource masterXcss;
	private Resource extendedXcss;
	private Resource propertyFile;
	private boolean useExt;
	
	public boolean isUseExt() {
		return useExt;
	}
	public void setUseExt(boolean useExt) {
		this.useExt = useExt;
	}
	public String getShortName() {
		return shortName;
	}
	public void setShortName(String shortName) {
		this.shortName = shortName;
	}
	public String getPackageName() {
		return packageName;
	}
	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}
	public List<Resource> getBaseClassResources() {
		return baseClassResources;
	}
	public void setBaseClassResources(List<Resource> baseClassResources) {
		this.baseClassResources = baseClassResources;
	}
	public List<Resource> getExtClassResources() {
		return extClassResources;
	}
	public void setExtClassResources(List<Resource> extClassResources) {
		this.extClassResources = extClassResources;
	}
	public Resource getMasterXcss() {
		return masterXcss;
	}
	public void setMasterXcss(Resource masterXcss) {
		this.masterXcss = masterXcss;
	}
	public Resource getExtendedXcss() {
		return extendedXcss;
	}
	public void setExtendedXcss(Resource extendedXcss) {
		this.extendedXcss = extendedXcss;
	}
	public Resource getPropertyFile() {
		return propertyFile;
	}
	public void setPropertyFile(Resource propertyFile) {
		this.propertyFile = propertyFile;
	}
	@Override
	public Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
	public String getBaseSkin() {
		return baseSkin;
	}
	public void setBaseSkin(String baseSkin) {
		this.baseSkin = baseSkin;
	}


}
